From 3693753aefc27b5a68a2b762feeebc41320e79ef Mon Sep 17 00:00:00 2001
From: nebuli <nebu@kipple>
Date: Wed, 26 Nov 2014 19:51:37 +0100
Subject: [PATCH 1/2] guix: Default to daemon's default --cores setting of 1.

* guix/scripts/build.scm (set-build-options-from-command-line):
  #:build-cores (or ... 1)
* guix/store.scm (set-build-options): (build-cores 1)
---
 guix/scripts/build.scm | 2 +-
 guix/store.scm         | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/guix/scripts/build.scm b/guix/scripts/build.scm
index b4aa33b..3fb7aa8 100644
--- a/guix/scripts/build.scm
+++ b/guix/scripts/build.scm
@@ -129,7 +129,7 @@ options handled by 'set-build-options-from-command-line', and listed in
   ;; TODO: Add more options.
   (set-build-options store
                      #:keep-failed? (assoc-ref opts 'keep-failed?)
-                     #:build-cores (or (assoc-ref opts 'cores) 0)
+                     #:build-cores (or (assoc-ref opts 'cores) 1)
                      #:max-build-jobs (or (assoc-ref opts 'max-jobs) 1)
                      #:fallback? (assoc-ref opts 'fallback?)
                      #:use-substitutes? (assoc-ref opts 'substitutes?)
diff --git a/guix/store.scm b/guix/store.scm
index 571cc06..106475e 100644
--- a/guix/store.scm
+++ b/guix/store.scm
@@ -442,7 +442,7 @@ encoding conversion errors."
                             (build-verbosity 0)
                             (log-type 0)
                             (print-build-trace #t)
-                            (build-cores (current-processor-count))
+                            (build-cores 1)
                             (use-substitutes? #t)
                             (binary-caches '())) ; client "untrusted" cache URLs
   ;; Must be called after `open-connection'.
-- 
2.1.2

